---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3D10, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x514B0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x533F0, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x537E0, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54780, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54790, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51110, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51114, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51118, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51270, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51328, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5132C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51330, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51334, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51338, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51340, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51350, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51358, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51360, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51368, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51370, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51378, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL15rootThreadCount, symObjAddr: 0x513BC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL18rootJNIGlobalCount, symObjAddr: 0x513C0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL17rootJNILocalCount, symObjAddr: 0x513C4, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x513C8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x513D0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x29B0, symSize: 0x80 }
  - { offsetInCU: 0x961D, offset: 0x961D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2900, symSize: 0xB0 }
  - { offsetInCU: 0x9678, offset: 0x9678, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2800, symSize: 0x100 }
  - { offsetInCU: 0x990B, offset: 0x990B, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2A30, symSize: 0xC0 }
  - { offsetInCU: 0x995D, offset: 0x995D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2AF0, symSize: 0x220 }
  - { offsetInCU: 0x9B42, offset: 0x9B42, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2D10, symSize: 0xA0 }
  - { offsetInCU: 0x9BF5, offset: 0x9BF5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2DB0, symSize: 0x110 }
  - { offsetInCU: 0x9CEB, offset: 0x9CEB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2EC0, symSize: 0x150 }
  - { offsetInCU: 0x9E48, offset: 0x9E48, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3010, symSize: 0x30 }
  - { offsetInCU: 0x9EF1, offset: 0x9EF1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3040, symSize: 0x150 }
  - { offsetInCU: 0xA0E9, offset: 0xA0E9, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3190, symSize: 0x160 }
  - { offsetInCU: 0xA3A9, offset: 0xA3A9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x32F0, symSize: 0x4A0 }
  - { offsetInCU: 0xA61C, offset: 0xA61C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3790, symSize: 0x1B0 }
  - { offsetInCU: 0xA837, offset: 0xA837, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3940, symSize: 0xA0 }
  - { offsetInCU: 0xA906, offset: 0xA906, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x39E0, symSize: 0x20 }
  - { offsetInCU: 0xA93D, offset: 0xA93D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3A00, symSize: 0x20 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3A20, symSize: 0x20 }
  - { offsetInCU: 0xAAE3, offset: 0xAAE3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3A40, symSize: 0x1A0 }
  - { offsetInCU: 0xADFF, offset: 0xADFF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3BE0, symSize: 0x130 }
  - { offsetInCU: 0xAFAF, offset: 0xAFAF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3F80, symSize: 0x1B0 }
  - { offsetInCU: 0xB29E, offset: 0xB29E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4130, symSize: 0x80 }
  - { offsetInCU: 0xB367, offset: 0xB367, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x41B0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEFC, offset: 0xBEFC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA5F0, symBinAddr: 0x5CC0, symSize: 0xB0 }
  - { offsetInCU: 0xBF73, offset: 0xBF73, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4850, symSize: 0x70 }
  - { offsetInCU: 0xC073, offset: 0xC073, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x4560, symBinAddr: 0x48C0, symSize: 0x390 }
  - { offsetInCU: 0xC4E2, offset: 0xC4E2, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4C50, symSize: 0xA0 }
  - { offsetInCU: 0xC5E1, offset: 0xC5E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4CF0, symSize: 0x40 }
  - { offsetInCU: 0xC6D7, offset: 0xC6D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4D30, symSize: 0x2B0 }
  - { offsetInCU: 0xCA7D, offset: 0xCA7D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4FE0, symSize: 0xC0 }
  - { offsetInCU: 0xCBC3, offset: 0xCBC3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x50A0, symSize: 0x10 }
  - { offsetInCU: 0xCC85, offset: 0xCC85, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x50B0, symSize: 0x220 }
  - { offsetInCU: 0xCF82, offset: 0xCF82, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x52D0, symSize: 0x10 }
  - { offsetInCU: 0xCFDF, offset: 0xCFDF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x52E0, symSize: 0x290 }
  - { offsetInCU: 0xD2CC, offset: 0xD2CC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EA0, symBinAddr: 0x5570, symSize: 0x10 }
  - { offsetInCU: 0xD347, offset: 0xD347, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9EB0, symBinAddr: 0x5580, symSize: 0x140 }
  - { offsetInCU: 0xD43E, offset: 0xD43E, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x9FF0, symBinAddr: 0x56C0, symSize: 0x140 }
  - { offsetInCU: 0xD563, offset: 0xD563, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA130, symBinAddr: 0x5800, symSize: 0x10 }
  - { offsetInCU: 0xD5CA, offset: 0xD5CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP06_ap06t001Thread_setTag, symObjAddr: 0xA140, symBinAddr: 0x5810, symSize: 0xC0 }
  - { offsetInCU: 0xD765, offset: 0xD765, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA200, symBinAddr: 0x58D0, symSize: 0x3F0 }
  - { offsetInCU: 0xDC31, offset: 0xDC31, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6A0, symBinAddr: 0x5D70, symSize: 0x36A }
...
